ConcatResourceInputStream (Apache Ant API)
Keywords: org.apache.tools.ant.util.ConcatResourceInputStream class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.util
Class ConcatResourceInputStream

    java.lang.Object
      java.io.InputStream
          org.apache.tools.ant.util.ConcatResourceInputStream

All Implemented Interfaces:
  java.io.Closeable

    public class ConcatResourceInputStream

extends java.io.InputStream

Special `InputStream` that will concatenate the contents of Resources from a single ResourceCollection.

Since:
  Ant 1.7

Constructor Summary
`ConcatResourceInputStream(ResourceCollection rc)` Construct a new ConcatResourceInputStream for the specified ResourceCollection.

Method Summary
`void` | `close()` Close the stream.
`boolean` | `isIgnoreErrors()` Find out whether this ConcatResourceInputStream ignores errors.
`void` | `log(java.lang.String message, int loglevel)` Log a message with the specified logging level.
`int` | `read()` Read a byte.
`void` | `setIgnoreErrors(boolean b)` Set whether this ConcatResourceInputStream ignores errors.
`void` | `setManagingComponent(ProjectComponent pc)` Set a managing `ProjectComponent` for this `ConcatResourceInputStream`.

Methods inherited from class java.io.InputStream
`available, mark, markSupported, read, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConcatResourceInputStream

    public ConcatResourceInputStream(ResourceCollection rc)

  Construct a new ConcatResourceInputStream for the specified ResourceCollection.

  Parameters:
    `rc` - the ResourceCollection to combine.

Method Detail

### setIgnoreErrors

    public void setIgnoreErrors(boolean b)

  Set whether this ConcatResourceInputStream ignores errors.

  Parameters:
    `b` - whether to ignore errors.

### isIgnoreErrors

    public boolean isIgnoreErrors()

  Find out whether this ConcatResourceInputStream ignores errors.

  Returns:
    boolean ignore-errors flag.

### close

    public void close()
               throws java.io.IOException

  Close the stream.

  Specified by:
    `close` in interface `java.io.Closeable`
  Overrides:
    `close` in class `java.io.InputStream`
  Throws:
    `java.io.IOException` - if there is an error.

### read

    public int read()
             throws java.io.IOException

  Read a byte.

  Specified by:
    `read` in class `java.io.InputStream`
  Returns:
    the byte (0 - 255) or -1 if this is the end of the stream.
  Throws:
    `java.io.IOException` - if there is an error.

### setManagingComponent

    public void setManagingComponent(ProjectComponent pc)

  Set a managing `ProjectComponent` for this `ConcatResourceInputStream`.

  Parameters:
    `pc` - the managing `ProjectComponent`.

### log

    public void log(java.lang.String message,
                    int loglevel)

  Log a message with the specified logging level.

  Parameters:
    `message` - the `String` message.
    `loglevel` - the `int` logging level.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD